Bug 696982 - (ghc-strict) Review Request: ghc-strict - Haskell library providing strict data types
Review Request: ghc-strict - Haskell library providing strict data types
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: leksah
  Show dependency treegraph
 
Reported: 2011-04-15 09:58 EDT by Narasimhan
Modified: 2011-07-06 17:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: ghc-strict-0.3.2-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-04 14:55:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
ghc-strict.spec-1.patch (676 bytes, patch)
2011-06-23 21:10 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Narasimhan 2011-04-15 09:58:22 EDT
Spec file link:

http://narasim.fedorapeople.org/package_reviews/ghc-strict.spec

SRPM file link;
http://narasim.fedorapeople.org/package_reviews/ghc-strict-0.3.2-1.fc14.src.rpm

 rpmlint  -i *.rpm ghc-strict-0.3.2-1.fc15.src/ghc-strict.spec 
ghc-strict.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-strict.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-strict-devel.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-strict-prof.i686: E: devel-dependency ghc-strict-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-strict-prof.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-strict-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-strict-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-7.0.2/strict-0.3.2/libHSstrict-0.3.2_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 6 warnings.

This package is a new dependency for leksah.
Comment 1 Narasimhan 2011-06-14 08:40:04 EDT
Updated spec file  : http://narasim.fedorapeople.org/package_reviews/ghc-strict.spec

SRPM file : http://narasim.fedorapeople.org/package_reviews/ghc-strict-0.3.2-2.fc14.src.rpm

rpmlint output:
ghc-strict.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-strict.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-strict-devel.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-strict-prof.i686: E: devel-dependency ghc-strict-devel
ghc-strict-prof.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-strict-prof.i686: W: no-documentation
ghc-strict-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/strict-0.3.2/libHSstrict-0.3.2_p.a
4 packages and 1 specfiles checked; 1 errors, 6 warnings.
Comment 2 Narasimhan 2011-06-14 08:57:55 EDT
F15 build http://koji.fedoraproject.org/koji/taskinfo?taskID=3130545
Comment 3 Jens Petersen 2011-06-23 21:10:42 EDT
Created attachment 509655 [details]
ghc-strict.spec-1.patch

Update to cabal2spec-0.23.2
Comment 4 Jens Petersen 2011-06-23 21:18:27 EDT
Here is the review:

 +:ok, NA: not applicable

MUST Items:
[+] MUST: rpmlint output

clean

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

35442576f7bd5b12b961c64144c6cb2d  strict-0.3.2.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch
[NA] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires

Though better use above patch.

[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Every %files section must include a %defattr(...) line.

rpm -qlpv output looks sane.

[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.

Package is APPROVED by petersen.
Comment 5 Narasimhan 2011-06-24 00:42:47 EDT
Thanks for the review. Will update this package shortly.
Comment 6 Narasimhan 2011-06-24 00:43:34 EDT
New Package SCM Request
=======================
Package Name: ghc-strict
Short Description:   Haskell library providing strict data types
Owners: narasim
Branches: f14 f15
InitialCC: haskell-sig
Comment 7 Gwyn Ciesla 2011-06-24 08:09:22 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2011-06-26 05:45:45 EDT
ghc-strict-0.3.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-strict-0.3.2-2.fc15
Comment 9 Fedora Update System 2011-06-26 14:49:14 EDT
ghc-strict-0.3.2-2.fc15 has been pushed to the Fedora 15 testing repository.
Comment 10 Fedora Update System 2011-06-27 00:43:20 EDT
ghc-strict-0.3.2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-strict-0.3.2-2.fc14
Comment 11 Fedora Update System 2011-07-04 14:55:05 EDT
ghc-strict-0.3.2-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 12 Fedora Update System 2011-07-06 17:23:50 EDT
ghc-strict-0.3.2-2.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.